aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJavier <dev.git@javispedro.com>2022-02-03 02:43:40 +0100
committerJavier <dev.git@javispedro.com>2022-02-03 13:26:11 +0100
commitf6ee95ad975119d7c3106036fd5a581a62695c85 (patch)
tree6fe7d757d7dcd15b275db8e18778d1769071c6c8 /scripts
parent2f1022df0395badf03fc7cb20c82ee770b5b2c1d (diff)
downloadvmusic-f6ee95ad975119d7c3106036fd5a581a62695c85.tar.gz
vmusic-f6ee95ad975119d7c3106036fd5a581a62695c85.zip
mpu401: rework using circbuf and add optional irq support for uart rx
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/disable.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/disable.sh b/scripts/disable.sh
new file mode 100755
index 0000000..8031d25
--- /dev/null
+++ b/scripts/disable.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+set -ex
+
+vm="$1"
+
+VBoxManage setextradata "$vm" VBoxInternal/Devices/adlib/0/Trusted
+VBoxManage setextradata "$vm" VBoxInternal/Devices/adlib/0/Config/MirrorPort
+VBoxManage setextradata "$vm" VBoxInternal/Devices/mpu401/0/Trusted